Bug 58732 - /etc/init.d/mysqld doesn't wait for server to start
Summary: /etc/init.d/mysqld doesn't wait for server to start
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kim Ho
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 106833 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-23 21:04 UTC by aaron brick
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 20:32:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:569 normal SHIPPED_LIVE Low: mysql security update 2004-10-20 04:00:00 UTC

Description aaron brick 2002-01-23 21:04:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20011224

Description of problem:
one can run /etc/init.d/mysqld start and since it backgrounds the safe_mysqld
process and doesn't do any mysqladmin pinging, the server isn't guaranteed to
have started. this causes problems if steps soon after the server (re)start
depend upon it.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run /etc/init.d/mysqld restart
2. try to make a mysql query right away
3.
	

Actual Results:  the client failed to find the socket by which to communicate
with the server.

Expected Results:  step (1) should have waited for the server to come online
before returning. then (2) would succeed.



Additional info:

the debian start script (/etc/init.d/mysql in the mysql-server package) does
this rationally, by mysqladmin pinging a number of times until the server comes
online or dying after a timeout.

Comment 1 Trond Eivind Glomsrxd 2002-02-08 21:16:31 UTC
Seems like a good enhancement.

Comment 2 Patrick Macdonald 2003-08-12 17:33:18 UTC
Kim, can you handle this please.  Have the script loop five times with a 1
second hold. Break out of the loop if the mysqladmin ping succeeds, bail otherwise.

Comment 3 Patrick Macdonald 2003-10-14 14:39:04 UTC
*** Bug 106833 has been marked as a duplicate of this bug. ***

Comment 4 Patrick Macdonald 2003-10-27 20:32:04 UTC
Fixed in rawhide.  We chose to wait for a max of tens seconds, pinging every
second.  

Comment 5 Josh Bressers 2004-10-20 19:41:22 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-569.html



Note You need to log in before you can comment on or make changes to this bug.